Subject: bug#50936: "(emacs) Help" does say how to find external packages

From: Stefan Kangas <[email-masked]>
Date: Fri, 1 Oct 2021 15:15:26 +0200

Eli Zaretskii <[email-masked]> writes:

> > I'm not sure if the recommendation should be changed, or simply
> > amended to also mention M-x list-packages.
>
> It's okay to also mention list-packages, but if so, the text should
> explicitly say that it's for features and packages not included in
> the core distribution.

I think this sounds like the best solution.

> More importantly, I think we should seriously consider whether such
> text has its place in that section.  That section is supposed to be a
> cookbook for quickly and efficiently find Emacs features, so it should
> be limited to methods and commands that accurate, in the sense that
> they don't present the user with long lists of potential hits.  By
> contrast, list-packages shows a very long list of packages (more than
> 400 as of this writing), which can easily overwhelm the user.  Even
> "C-h p" doesn't show such long lists (the longest has 50 items), and
> it is already too long, which is why it's the last in the list of
> recommended methods.

That's a problem, but there is IMO no way around that as long as Emacs
doesn't bundle packages like php-mode, haskell-mode, eglot or
lsp-mode, markdown-mode, etc.